<?php
//http://vestiario.progettoserver.com/reserved/users/admin/import_test01.php
//die("test imprese");
#include("../../includes/session.php");
include("../../includes/db.php");
#session(1);

function cleanDB($str){
	return trim(addslashes($str));	
}
function parseAnagr($str){
	$str = cleanDB($str);
	$space_pos = strpos($str,"   ");
	$str = $space_pos > 0 ? substr($str,0,$space_pos) : $str;
	return $str;
}
function data($date){
	$date = trim($date);
	
	//formato, da aaaammgg a gg/mm/aaaa	
	if(strlen($date) == 8){
		$gg = substr($date,6,2);
		$mm = substr($date,4,2);
		$aaaa = substr($date,0,4);
		$data = $aaaa.'-'.$mm.'-'.$gg;
	}else{
		$data = '0000-00-00';
	}
	return $data;
}

//unzip file
//exec("unzip -P progetto -o -u -d ../../../txtimport/ ../../../txtimport/txt.zip");

//memorizzo dati lavoratori
$result = mysql_query("SELECT *, lavoratori.blocked AS lav_blocked, lavoratori_tgl.blocked AS tgl_blocked FROM lavoratori LEFT JOIN lavoratori_tgl ON lavoratori.lav_cod = lavoratori_tgl.lav_cod");
while($row = mysql_fetch_array($result)){
	$lav_cod = $row['lav_cod'];
	$arrLavoratori[$lav_cod]["imp_cod"] = $row['imp_cod'];
	$arrLavoratori[$lav_cod]["pos_id"] = $row['pos_id'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_est"] = $row['lavtgl_giacca_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giacca_inv"] = $row['lavtgl_giacca_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_est"] = $row['lavtgl_pant_est'];
	$arrLavoratori[$lav_cod]["lavtgl_pant_inv"] = $row['lavtgl_pant_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_est"] = $row['lavtgl_giub_est'];
	$arrLavoratori[$lav_cod]["lavtgl_giub_inv"] = $row['lavtgl_giub_inv'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_est"] = $row['lavtgl_scarp_est'];
	$arrLavoratori[$lav_cod]["lavtgl_scarp_inv"] = $row['lavtgl_scarp_inv'];
	$arrLavoratori[$lav_cod]["lav_abb"] = $row['lav_abb'];
	$arrLavoratori[$lav_cod]["lav_blocked"] = $row['lav_blocked'];
	$arrLavoratori[$lav_cod]["tgl_blocked"] = $row['tgl_blocked'];
}

//memorizzo dati imprese
$result = mysql_query("SELECT * FROM imprese");
while($row = mysql_fetch_array($result)){
	$imp_cod = $row['imp_cod'];
	$arrImprese[$imp_cod]["imp_indirizzo"] = $row['imp_indirizzo'];
	$arrImprese[$imp_cod]["imp_citta"] = $row['imp_citta'];
	$arrImprese[$imp_cod]["imp_cap"] = $row['imp_cap'];
	$arrImprese[$imp_cod]["imp_prov"] = $row['imp_prov'];
	$arrImprese[$imp_cod]["blocked"] = $row['blocked'];
}


/*
CEAZI00P.txt - imprese
cedip00f.txt - dipendenti
cedi100f.TXT - taglie
*/

//imprese
$fpath = "../../../txtimport_test/CEAZI00P_test.txt";

if(is_file($fpath)){
	
	$handle = fopen($fpath, "r");
	if ($handle) {
		while(!feof($handle)){
			
			$line = fgets($handle,4096);
			echo $line; echo "<br>";
            
            
			$imp_annullato = substr($line, 1, 1) == 'C' ? 1 : 0;
			$imp_cod = intval(substr($line, 4, 4));
			$imp_anagrafica = cleanDB(substr($line, 13, 40));
			$imp_indirizzo = cleanDB(substr($line, 56, 40));
			$imp_cap = intval(substr($line, 98, 5));
			$imp_citta = cleanDB(substr($line, 107, 34));
			$imp_prov = cleanDB(substr($line, 144, 2));
			$imp_codfisc = cleanDB(substr($line, 149, 16));
			$imp_piva = str_pad(cleanDB(substr($line, 167, 11)),11,"0",STR_PAD_LEFT);
			$tipoimp_id = cleanDB(substr($line, 182, 1));
			$sosp_id = intval(substr($line, 483, 2));

            if($imp_cod > 0){
                echo "imp_annullato: " . $imp_annullato; echo "<br>";
                echo "imp_cod: " . $imp_cod; echo "<br>";
                echo "imp_anagrafica: " . $imp_anagrafica; echo "<br>";
                echo "imp_indirizzo: " . $imp_indirizzo; echo "<br>";
                echo "imp_cap: " . $imp_cap; echo "<br>";
                echo "imp_citta: " . $imp_citta; echo "<br>";
                echo "imp_prov: " . $imp_prov; echo "<br>";
                echo "imp_codfisc: " . $imp_codfisc; echo "<br>";
                echo "imp_piva: " . $imp_piva; echo "<br>";
                echo "tipoimp_id: " . $tipoimp_id; echo "<br>";
                echo "sosp_id: " . $sosp_id; echo "<br>";
            }
            echo "<br><br>";
			//if($imp_cod > 0){
			//
			//	mysql_query( 
			//	"INSERT INTO imprese (imp_cod,imp_annullato,imp_anagrafica,imp_indirizzo,imp_cap,imp_citta,imp_prov,imp_codfisc,imp_piva,tipoimp_id,sosp_id) VALUES (
			//	'" . $imp_cod . "',
			//	'" . $imp_annullato . "',
			//	'" . $imp_anagrafica . "',
			//	'" . $imp_indirizzo . "',
			//	'" . $imp_cap . "',
			//	'" . $imp_citta . "',
			//	'" . $imp_prov . "',
			//	'" . $imp_codfisc . "',
			//	'" . $imp_piva . "',
			//	'" . $tipoimp_id . "',
			//	'" . $sosp_id . "')
			//	
			//	ON DUPLICATE KEY UPDATE 
			//	imp_annullato='".$imp_annullato."',
			//	imp_anagrafica='" . $imp_anagrafica . "',
			//	imp_indirizzo=IF(blocked = 0, '" . $imp_indirizzo. "',imp_indirizzo),
			//	imp_cap=IF(blocked = 0, " . $imp_cap. ",imp_cap),
			//	imp_citta=IF(blocked = 0, '" . $imp_citta. "',imp_citta),
			//	imp_prov=IF(blocked = 0, '" . $imp_prov. "',imp_prov),		
			//	imp_codfisc='" . $imp_codfisc . "',
			//	imp_piva='" . $imp_piva . "',
			//	tipoimp_id='" . $tipoimp_id . "',
			//	sosp_id='" . $sosp_id . "'
			//	");
			//	
			//	if($arrImprese[$imp_cod] && $arrImprese[$imp_cod]["blocked"] == 1){
			//		if(
			//		$arrImprese[$imp_cod]["imp_indirizzo"] == $imp_indirizzo && 
			//		$arrImprese[$imp_cod]["imp_cap"] == $imp_cap && 
			//		$arrImprese[$imp_cod]["imp_citta"] == $imp_citta && 
			//		$arrImprese[$imp_cod]["imp_prov"] == $imp_prov
			//		)
			//		mysql_query("UPDATE imprese SET blocked = 0 WHERE imp_cod = ".$imp_cod);
			//	}
			//	
			//	
			//	if(mysql_error() <> '')
			//		die(mysql_error());
			//	
			//}
		}
		
		fclose($handle);
		
	}
}

?>